<?php echo $header; ?>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<?php if ($success) { ?>
<div class="success"><?php echo $success; ?></div>
<?php } ?>
<div class="box">
  <div class="left"></div>
  <div class="right"></div>
  <div class="heading">
    <h1 style="background-image: url('view/image/shipping.png');"><?php echo $heading_title; ?></h1>
    <div class="buttons"><a onclick="$('form').attr('action', '<?php echo $update; ?>').submit();" class="button"><span><?php echo $button_update; ?></span></a> <a onclick="$('form').attr('action', '<?php echo $reset; ?>').submit();" class="button"><span><?php echo $button_reset; ?></span></a></div>
  </div>
  <div class="content">
    <form action="<?php echo $update; ?>" method="post" enctype="multipart/form-data" id="form">
      <table class="list">
        <thead>
          <tr>
            <td width="1" style="text-align: center;"><input type="checkbox" onclick="$('input[name*=\'selected\']').attr('checked', this.checked);" /></td>
            <td class="left"><?php if ($sort == 'name') { ?>
              <a href="<?php echo $sort_name; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_name; ?></a>
              <?php } else { ?>
              <a href="<?php echo $sort_name; ?>"><?php echo $column_name; ?></a>
              <?php } ?></td>
			<td><?php echo $column_stores; ?></td>
			<td class="center"><?php if ($sort == 'product_count') { ?>
              <a href="<?php echo $sort_product_count; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_product_count; ?></a>
              <?php } else { ?>
              <a href="<?php echo $sort_product_count; ?>"><?php echo $column_product_count; ?></a>
              <?php } ?>
			</td>
            <td class="center"><?php if ($sort == 'sort_order') { ?>
              <a href="<?php echo $sort_sort_order; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_sort_order; ?></a>
              <?php } else { ?>
              <a href="<?php echo $sort_sort_order; ?>"><?php echo $column_sort_order; ?></a>
              <?php } ?></td>
			<td class="center"><?php echo $column_action; ?></td>
          </tr>
        </thead>
        <tbody>
          <?php if ($manufacturers) { ?>
          <?php foreach ($manufacturers as $manufacturer) { ?>
          <tr>
            <td style="text-align: center;"><?php if ($manufacturer['selected']) { ?>
              <input type="checkbox" name="selected[]" value="<?php echo $manufacturer['manufacturer_id']; ?>" checked="checked" />
              <?php } else { ?>
              <input type="checkbox" name="selected[]" value="<?php echo $manufacturer['manufacturer_id']; ?>" />
              <?php } ?></td>
            <td class="left"><?php echo $manufacturer['name']; ?></td>
			<td><div class="scrollbox">
              <?php $class = 'even'; ?>
              <div class="<?php echo $class; ?>">
                <?php if (in_array(0, $manufacturer['stores'])) { ?>
                <input type="checkbox" name="manufacturer_store[]" value="0" disabled="disabled" checked="checked" />
                <?php echo $text_default; ?>
                <?php } else { ?>
                <input type="checkbox" name="manufacturer_store[]" value="0" disabled="disabled" />
                <?php echo $text_default; ?>
                <?php } ?>
              </div>
              <?php foreach ($stores as $store) { ?>
              <?php $class = ($class == 'even' ? 'odd' : 'even'); ?>
              <div class="<?php echo $class; ?>">
                <?php if (in_array($store['store_id'], $manufacturer['stores'])) { ?>
                <input type="checkbox" name="manufacturer_store[]" value="<?php echo $store['store_id']; ?>" disabled="disabled" checked="checked" />
                <?php echo $store['name']; ?>
                <?php } else { ?>
                <input type="checkbox" name="manufacturer_store[]" value="<?php echo $store['store_id']; ?>" disabled="disabled" />
                <?php echo $store['name']; ?>
                <?php } ?>
              </div>
              <?php } ?>
            </div></td>
			<td class="center"><?php echo $manufacturer['product_count']; ?></td>
            <td class="center"><?php echo $manufacturer['sort_order']; ?></td>
			<td class="center"><?php foreach ($manufacturer['action'] as $action) { ?>
              [ <a href="<?php echo $action['href']; ?>" target="_blank"><?php echo $action['text']; ?></a> ]
              <?php } ?></td>
          </tr>
          <?php } ?>
          <?php } else { ?>
          <tr>
            <td class="center" colspan="4"><?php echo $text_no_results; ?></td>
          </tr>
          <?php } ?>
        </tbody>
      </table>
    </form>
    <div class="pagination"><?php echo $pagination; ?></div>
  </div>
</div>
<?php echo $footer; ?>